ora - 00406 COMPATIBLE parameter needs ...
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 4 of 4

Thread: ora - 00406 COMPATIBLE parameter needs ...

  1. #1
    Join Date
    Mar 2001
    Posts
    77
    Has anyone seen this error before? I am using 8.1.7.

    SQL> CREATE OR REPLACE TRIGGER logon_trig
    2 AFTER logon ON SCHEMA
    3 BEGIN
    4 INSERT INTO log_trig_table (user_id, log_date, action)
    5 VALUES (user, sysdate, 'Logging on");
    6 END;
    7 /
    AFTER logon ON SCHEMA
    *
    ERROR at line 2:
    ORA-00406: COMPATIBLE parameter needs to be 8.1.0.0.0 or greater

    Thank you in advance!!

  2. #2
    Join Date
    Feb 2001
    Posts
    290
    did you check the comatible parameter on your DB ( init.ora ) ???

    make sure it will have 8.1.7 ..

    if you change this parameter , you may need to bounce the DB..
    Madhu Reddy
    xdollor@yahoo.com

  3. #3
    Join Date
    May 2002
    Posts
    2,645
    What you are using and what your compatible init.ora parameter setting is may be entirely different. Check what you compatible setting is (view the init.ora file, or you can do "show parameter com"). If you setting is not 8.1.0.0 or higher (as the error mentions), you can't do that statement.

  4. #4
    Join Date
    Mar 2001
    Posts
    77
    You guys are right, thanks! I had COMPATIBLE = 8.0.5.
    Once I bounced the database, it's working!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width